using namespace std;
#include<iostream>
#include<cmath>

main()
{
	int N,K;
	cin>>N;
	cin>>K;
	int i;
	int niz[N];
	for(i=0;i<N;i++)
	{
		cin>>niz[i];
	}

	int j=0,br;
	int element[100],brojac[100];
	int smt=0,n;
	bool t = true;
	do{
		t = true;
		br=0;
		
		for(i=0;i<N;i++)
		{
			if(niz[j]==niz[i])
			{
				br++;
			}
			else
			{}
		}
		if(br>=K)
		{
		for(n=0;n<smt;n++)
			{
				if(element[n]==niz[j])
				{
					t = false;
				}
			}
		if(t==true)
			{
				brojac[smt] = br;
				element[smt] = niz[j];
				smt++;
			}
		}
		j++;
	}while(j<N);
	
	for(i=0;i<smt;i++)
		{
			cout<<element[i];
		}
}